Issues

ZF-8745: add require_once 'Zend/Loader/Autoloader.php' in class Zend_Loader_Autoloader_Resource

Issue Type: Bug Created: 2010-01-07T19:24:16.000+0000 Last Updated: 2010-12-14T07:00:51.000+0000 Status: Resolved Fix version(s): - 1.11.2 (30/Dec/10)

Reporter: Ramon Henrique Ornelas (ramon) Assignee: julien PAULI (doctorrock83) Tags: - Zend_Loader

Related issues: Attachments:

Description

Problem file('Zend/Loader/Autoloader.php') not found in class Zend_Loader_Autoloader_Resource In method Zend_Loader_Autoloader_Resource::__construct()

<pre class="highlight">

if (!empty($namespace)) {
    $namespace .= '_';
}
Zend_Loader_Autoloader::getInstance()->unshiftAutoloader($this, $namespace);

change for

<pre class="highlight">

if (!empty($namespace)) {
    $namespace .= '_';
}
require_once 'Zend/Loader/Autoloader.php';
Zend_Loader_Autoloader::getInstance()->unshiftAutoloader($this, $namespace);

Comments

Posted by julien PAULI (doctorrock83) on 2010-12-14T07:00:48.000+0000

Fixed in svn at r23505

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts